elftosb::OperationSequence Class Reference

Ordered sequence of operations. More...

`#include <Operation.h>`

Collaboration diagram for elftosb::OperationSequence:
[legend]

## Public Types

typedef std::vector< Operation * > | operation_list_t
| Type for a list of operation objects.
typedef operation_list_t::iterator | iterator_t
| Iterator over operations.
typedef operation_list_t::const_iterator | const_iterator_t
| Const iterator over operations.

## Public Member Functions

| OperationSequence ()
| Default constructor.
| OperationSequence (Operation *soleElement)
| Constructor. Makes a one-element sequence from soleElement.
virtual | ~OperationSequence ()
| Destructor. More...
Operation * | operator[] (unsigned index) const
Iterators
iterator_t | begin ()
const_iterator_t | begin () const
iterator_t | end ()
const_iterator_t | end () const
Status
unsigned | getCount () const
| Returns the number of operations in the sequence.
Operations
void | append (Operation *op)
| Append one operation object to the sequence.
void | append (const OperationSequence *other)
| Append the contents of other onto this sequence.
OperationSequence & | operator+= (const OperationSequence *other)
| Appends other onto this sequence.

## Protected Attributes

operation_list_t | m_operations
| The list of operations.

## Detailed Description

Ordered sequence of operations.

The operation objects owned by the sequence are not deleted when the sequence is destroyed. The owner of the sequence must manually delete the operation objects.

## Constructor & Destructor Documentation

OperationSequence::~OperationSequence | ( |  | ) |

virtual

Destructor.

Disposes of operations objects in the sequence.

The documentation for this class was generated from the following files:

- Operation.h
- Operation.cpp